com.pdfunit.validators

## Class JavaScriptActionValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.JavaScriptActionValidator

-     @DoNotObfuscate
      public final class JavaScriptActionValidator
      extends com.pdfunit.validators.AbstractValidator

  Validator for JavaScript actions in PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JavaScriptActionValidator(DocumentValidator backReference)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JavaScriptActionValidator` | `containing(java.lang.String expectedContent)`
    `JavaScriptActionValidator` | `containing(java.lang.String expectedContent, WhitespaceProcessing whitespaceProcessing)`
    `JavaScriptActionValidator` | `containingSource(java.io.InputStream input)`
    `JavaScriptActionValidator` | `containingSource(java.io.InputStream input, WhitespaceProcessing whitespaceProcessing)`
    `JavaScriptActionValidator` | `containingSource(java.io.Reader input)`
    `JavaScriptActionValidator` | `containingSource(java.io.Reader input, WhitespaceProcessing whitespaceProcessing)`
    `JavaScriptActionValidator` | `equalsTo(java.lang.String expectedContent)`
    `JavaScriptActionValidator` | `equalsTo(java.lang.String expectedContent, WhitespaceProcessing whitespaceProcessing)`
    `JavaScriptActionValidator` | `equalsToSource(java.io.InputStream input)`
    `JavaScriptActionValidator` | `equalsToSource(java.io.InputStream input, WhitespaceProcessing whitespaceProcessing)`
    `JavaScriptActionValidator` | `equalsToSource(java.io.Reader input)`
    `JavaScriptActionValidator` | `equalsToSource(java.io.Reader input, WhitespaceProcessing whitespaceProcessing)`
    `JavaScriptActionValidator` | `hasJavaScriptAction()` This method does what the name suggests.
    `JavaScriptActionValidator` | `matchingRegex(java.lang.String regex)`

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaScriptActionValidator

          protected JavaScriptActionValidator(DocumentValidator backReference)

  - ### Method Detail

    - #### hasJavaScriptAction

          public JavaScriptActionValidator hasJavaScriptAction()

      This method does what the name suggests.

    - #### containingSource

          public JavaScriptActionValidator containingSource(java.io.Reader input)

    - #### containingSource

          public JavaScriptActionValidator containingSource(java.io.Reader input,
                                                   WhitespaceProcessing whitespaceProcessing)

    - #### containingSource

          public JavaScriptActionValidator containingSource(java.io.InputStream input)

    - #### containingSource

          public JavaScriptActionValidator containingSource(java.io.InputStream input,
                                                   WhitespaceProcessing whitespaceProcessing)

    - #### containing

          public JavaScriptActionValidator containing(java.lang.String expectedContent)

    - #### containing

          public JavaScriptActionValidator containing(java.lang.String expectedContent,
                                             WhitespaceProcessing whitespaceProcessing)

    - #### equalsToSource

          public JavaScriptActionValidator equalsToSource(java.io.InputStream input)

    - #### equalsToSource

          public JavaScriptActionValidator equalsToSource(java.io.InputStream input,
                                                 WhitespaceProcessing whitespaceProcessing)

    - #### equalsToSource

          public JavaScriptActionValidator equalsToSource(java.io.Reader input)

    - #### equalsToSource

          public JavaScriptActionValidator equalsToSource(java.io.Reader input,
                                                 WhitespaceProcessing whitespaceProcessing)

    - #### equalsTo

          public JavaScriptActionValidator equalsTo(java.lang.String expectedContent)

    - #### equalsTo

          public JavaScriptActionValidator equalsTo(java.lang.String expectedContent,
                                           WhitespaceProcessing whitespaceProcessing)

    - #### matchingRegex

          public JavaScriptActionValidator matchingRegex(java.lang.String regex)

Copyright (C) PDFUnit.com. See here for license.